Bug 1324960 - Review Request: python-deap - Distributed Evolutionary Algorithms in Python
Summary: Review Request: python-deap - Distributed Evolutionary Algorithms in Python
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mairi Dulaney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1324957
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2016-04-07 16:57 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2016-09-27 14:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 14:51:11 UTC
jdulaney: fedora-review+


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2016-04-07 16:57:25 UTC
Spec URL: http://in.waw.pl/~zbyszek/fedora/python-deap.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/python-deap-1.1.10-0.20160402gita4dc752.fc25.src.rpm
Description:
DEAP is a novel evolutionary computation framework for rapid
prototyping and testing of ideas that implements a number of genetic
optimization algorithms behind a common interface.

Fedora Account System Username: zbyszek

Comment 1 Mairi Dulaney 2016-04-26 20:27:04 UTC
Right now, build is failing:

Error: No Package found for python2-pypandoc

rpmlint is good.  Will proceed once you fix the dependency issue.

Comment 2 Zbigniew Jędrzejewski-Szmek 2016-04-26 20:39:13 UTC
Yeah, python-pypandoc does not build in rawhide because of pandoc dependency issues. I'm trying to fix it, but it's a whole tree of packages that need to be rebuilt. Maybe you could do the review in F24.

Comment 3 Mairi Dulaney 2016-04-27 14:14:37 UTC
I tried on F24 and F23, both are failing on the dependency:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13825218

We can continue this once the dependency issue is cleared up.

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-04-27 14:23:31 UTC
Oops, I forgot that python-pypandoc is in updates-testing in F22-F24. For rawhide, I rebuilt pandoc, pandoc-citeproc, ghc-aeson-pretty yesterday, and python-pypandoc today. python-deap builds in rawhide koji now [1], although it might fail in mock until the package updates go out.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=13825286

Comment 5 Mairi Dulaney 2016-04-29 18:03:50 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v3 or
     later)", "*No copyright* LGPL (v3 or later)", "GPL (v3 or later)",
     "Unknown or generated". 55 files have unknown license. Detailed output
     of licensecheck in /home/jdulaney/rpmbuild/review-python-
     deap/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: Reviewer should test that the package builds in mock.
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-deap , python3-deap , python-deap-doc , python-deap-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-deap-1.1.10-0.20160402gita4dc752.fc25.x86_64.rpm
          python3-deap-1.1.10-0.20160402gita4dc752.fc25.x86_64.rpm
          python-deap-doc-1.1.10-0.20160402gita4dc752.fc25.noarch.rpm
          python-deap-debuginfo-1.1.10-0.20160402gita4dc752.fc25.x86_64.rpm
          python-deap-1.1.10-0.20160402gita4dc752.fc25.src.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-deap-debuginfo-1.1.10-0.20160402gita4dc752.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python3-deap (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    python(abi)
    python3-numpy
    rtld(GNU_HASH)

python-deap-debuginfo (rpmlib, GLIBC filtered):

python2-deap (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    numpy
    python(abi)
    rtld(GNU_HASH)

python-deap-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-deap:
    python3-deap
    python3-deap(x86-64)

python-deap-debuginfo:
    python-deap-debuginfo
    python-deap-debuginfo(x86-64)

python2-deap:
    python-deap
    python-deap(x86-64)
    python2-deap
    python2-deap(x86-64)

python-deap-doc:
    python-deap-doc



Unversioned so-files
--------------------
python2-deap: /usr/lib64/python2.7/site-packages/deap/tools/_hypervolume/hv.so
python3-deap: /usr/lib64/python3.5/site-packages/deap/tools/_hypervolume/hv.cpython-35m-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/DEAP/deap/archive/a4dc75208662ce40158ba0c9eb0045d0bcc66d70.tar.gz#/deap-a4dc752.tar.gz :
  CHECKSUM(SHA256) this package     : 2257c7f97062091c184c25418db2f6611b4bd2ade4e62e412250bfb5dccf7f10
  CHECKSUM(SHA256) upstream package : 2257c7f97062091c184c25418db2f6611b4bd2ade4e62e412250bfb5dccf7f10


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n python-deap --no-build -p
Buildroot used: fedora-24-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Mairi Dulaney 2016-04-29 18:12:49 UTC
Nothing in the rpmlint output, everything looks good.


Approved

Comment 7 Zbigniew Jędrzejewski-Szmek 2016-04-29 23:45:54 UTC
Thanks!

Comment 8 Gwyn Ciesla 2016-04-30 13:56:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-deap

Comment 9 Charalampos Stratakis 2016-09-27 14:51:11 UTC
Since the package has been built, the review request bugzilla should be closed.


Note You need to log in before you can comment on or make changes to this bug.